Loading...
Searching...
No Matches
Opm::Action::Result::MatchingEntities::Impl Class Reference

Implementation of Result::MatchingEntities. More...

## Public Member Functions

bool | hasWell (const std::string &well) const
| Whether or not named well is in the list of matching entities.
ValueRange< std::string > | wells () const
| Get sequence of read-only well names.
void | addWell (const std::string &well)
| Add a well name to the set of matching entities.
void | addWells (const std::vector< std::string > &wnames)
| Add a sequence of well names to the set of matching entities.
void | clear ()
| Remove all matching entities from internal storage.
void | makeIntersection (const Impl &rhs)
| Incorporate a set of matching entities into current set as if by set intersection.
void | makeUnion (const Impl &rhs)
| Incorporate a set of matching entities into current set as if by set union.
bool | operator== (const Impl &that) const
| Equality predicate.

## Detailed Description

Implementation of Result::MatchingEntities.

## Member Function Documentation

## addWell()

void Opm::Action::Result::MatchingEntities::Impl::addWell | ( | const std::string & | well | ) |

Add a well name to the set of matching entities.

Primarily for use by class Result.

Parameters

  [in] | well | Well name that will be included in set of matching entities.

## addWells()

void Opm::Action::Result::MatchingEntities::Impl::addWells | ( | const std::vector< std::string > & | wnames | ) |

Add a sequence of well names to the set of matching entities.

Primarily for use by class Result.

Parameters

  [in] | wnames | Sequence of well names that will be included in set of matching entities.

## hasWell()

bool Opm::Action::Result::MatchingEntities::Impl::hasWell | ( | const std::string & | well | ) | const

Whether or not named well is in the list of matching entities.

Parameters

  [in] | well | Well name.

Returns
  Whether or not `well` is among the matching wells.

## makeIntersection()

void Opm::Action::Result::MatchingEntities::Impl::makeIntersection | ( | const Impl & | rhs | ) |

Incorporate a set of matching entities into current set as if by set intersection.

Implements the 'AND' conjunction of ACTIONX conditions.

Parameters

  [in] | rhs | Other set of matching enties.

## makeUnion()

void Opm::Action::Result::MatchingEntities::Impl::makeUnion | ( | const Impl & | rhs | ) |

Incorporate a set of matching entities into current set as if by set union.

Implements the 'OR' disjunction of ACTIONX conditions.

Parameters

  [in] | rhs | Other set of matching enties.

## operator==()

bool Opm::Action::Result::MatchingEntities::Impl::operator== | ( | const Impl & | that | ) | const

Equality predicate.

Parameters

  [in] | that | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `that`.

The documentation for this class was generated from the following file:

- opm/input/eclipse/Schedule/Action/ActionResult.cpp